#include <graph/plugins/http/http.h>
#include <graph/plugins/plugin.h>
#include <cmath>
#include <iostream>

#define PI 3.1415
#define to_rad(x) (x/180/3.1415)

extern "C" {

plugin_t plugin = {.version = 1, .init_method = &init, .destroy_method = &destroy};

bool init() {
  std::cout << "init" << std::endl;
  point_t points[100];
  for (int i = 0; i < 100; i++) {
    points[i].x = i;
    points[i].y = i;
  }

  plugin.update_callback(0, "1st", points, 100);
  return true;
}

void destroy() {
  std::cout << "destory" << std::endl;
}
}